<template>
  <v-container>
    <table>
      <tr>
        <th class="Hearder">Days</th>
        <th class="Hearder">Cases</th>
        <th class="Hearder">Deaths</th>
        <th class="Hearder">Recovereds</th>
      </tr>
      <tr v-for="(item, index) in caseList" :key="index">
        <td>{{item.day}}</td>
        <td>{{item.cases}}</td>
        <td>{{deathList[index].deaths}}</td>
        <td>{{recoveList[index].recoves}}</td>
        <!-- <td >
          <div v-for="(item, index) in caseList" :key="index">
            {{ item.day }}
          </div>
        </td>
        <td>
          <div v-for="(item, index) in caseList" :key="index">
            {{ item.cases }}
          </div>
        </td>
        <td>
          <div v-for="(item, index) in deathList" :key="index">
            {{ item.deaths }}
          </div>
        </td>
        <td>
          <div v-for="(item, index) in recoveList" :key="index">
            {{ item.recoves }}
          </div>
        </td> -->
      </tr>
    </table>
  </v-container>
</template>

<script>
import moment from 'moment'
export default {
  name: "Table",
  props: {
    Cases: [],
    Deaths: [],
    Recovereds: [],
    Date: [],
  },

  computed: {
    caseList() {
      let newCases = this.Cases.filter((data) => {
        for (let i = 0; i < this.Date.length; i++) {
          const dayCheck = moment(this.Date[i]).format("M/DD/YY");
          if (data.day == dayCheck) {
            return data;
          }
        }
      });
      if (newCases.length == 0) {
   
        return this.Cases;
      } else {
    
        return newCases;
      }
      // return this.Cases;
    },
    deathList() {
      let newDeath = this.Deaths.filter((data) => {
        for (let i = 0; i < this.Date.length; i++) {
          const dayCheck = moment(this.Date[i]).format("M/DD/YY");
          if (data.day == dayCheck) {
            return data;
          }
        }
      });
      if (newDeath.length == 0) {
        return this.Deaths;
      } else {
        return newDeath;
      }
      // return this.Deaths;
    },
    recoveList() {
      let newRecovered = this.Recovereds.filter((data) => {
        for (let i = 0; i < this.Date.length; i++) {
          const dayCheck = moment(this.Date[i]).format("M/DD/YY");
          if (data.day == dayCheck) {
            return data;
          }
        }
      });
      if (newRecovered.length == 0) {
        return this.Recovereds;
      } else {
        return newRecovered;
      }
      // return this.Recovereds;
    },
  },
  data: () => ({}),
  methods: {},
};
</script>
<style scoped>
.Hearder{
  background-color: #90CAF9;
}
table {
  font-family: arial, sans-serif;
  border-collapse: collapse;
  width: 100%;
  
}

td,
th {
  border: 1px solid #dddddd;
  text-align: left;
  padding: 8px;
  text-align: center!important;
  border-color: #64B5F6;
  border-style: solid;
  border-width: 5px;
}

tr:nth-child(even) {
  background-color: white;
  
}
</style>
